{% extends 'shopapp/base.html' %}

{% block title %}
    Products list
{% endblock %}

{% block body %}
    <h1>Products:</h1>
    {% if products %}
        <div>
            {% for product in products %}
                <div>
                    <p>Name: <a href="{% url 'shopapp:product_details' pk=product.pk %}">{{ product.name }}</a></p>
                    <p>Price ${{ product.price }}</p>
                    {% if product.discount > 0 %}
                        <p>Discount: {{ product.discount }}%</p>
                    {% else %}
                        <p>Discount: no discount</p>
                    {% endif %}
                    {% if product.preview %}
                        <img src="{{ product.preview.url }}" alt="{{ product.preview.name }}">
                    {% endif %}
                </div>
            {% endfor %}
        </div>
    {% else %}
        <h3>No products yet</h3>
    {% endif %}
    <div>
        <a href="{% url 'shopapp:product_create' %}">Create a new product</a>
    </div>
{% endblock %}